:root
  --header-bottom-margin-top 73px
  +media(m)
    --header-bottom-margin-top 75px

.header
  &__inner
    position fixed
    width 100%
    & .content
      display grid
      // grid-template-areas 'logo name call switcher'
      // grid-template-columns 100px auto 1.25rem 2rem
      grid-template-areas 'logo name call switcher'
      grid-template-columns 38px 1fr auto
      gap var(--base-padding)
      padding-y 12px
      +media(l)
        grid-template-areas 'logo name menu call'
        grid-template-columns 38px auto 1fr auto
  &__bottom
    margin-top var(--header-bottom-margin-top)
    padding-y var(--base-padding)
  &__name
    grid-area name
    display flex
    flex-direction column
    $font-2xl()
    font-weight 500
    span
      $font-m()
    a
      text-decoration: none;
  &__call
    --call-icon-size 1.5rem
    grid-area call
    width var(--call-icon-size)
    height var(--call-icon-size)
    +media(m)
      --call-icon-size 1.5rem
  &__switcher
    grid-area switcher
    width 2rem
    height 2rem
    appearance none
    border none
  &__navigation
    grid-area menu
    +media-max(l)
      display none
